aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts
diff options
context:
space:
mode:
authorGravatar Dmitry Lomov <dslomov@google.com>2016-04-25 11:28:11 +0000
committerGravatar Dmitry Lomov <dslomov@google.com>2016-04-25 11:32:51 +0000
commitf5a94e43f6684da42e3aae6036576ae3f1356626 (patch)
tree8bdcad6bba1c19dddb2a6cfe17a23af1ca3ef3bc /scripts
parent92e0af43e17f57d976708da234a3c13b5a72e73e (diff)
Windows build: propagate retCode from tests.
Helps with #1182. -- MOS_MIGRATED_REVID=120695171
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/ci/windows/compile_windows.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/scripts/ci/windows/compile_windows.sh b/scripts/ci/windows/compile_windows.sh
index a4a8555959..7653e1e8a6 100755
--- a/scripts/ci/windows/compile_windows.sh
+++ b/scripts/ci/windows/compile_windows.sh
@@ -45,4 +45,9 @@ echo "Bootstrapping Bazel"
# Run the only Windows-specific test we have.
# todo(bazel-team): add more tests here.
echo "Running tests"
-./output/bazel --batch test //src/test/shell/bazel:bazel_windows_cpp_test
+retCode=0
+./output/bazel --batch test //src/test/shell/bazel:bazel_windows_cpp_test || retCode=$?
+# Exit for failure except for test failures (exit code 3).
+if (( $retCode != 0 && $retCode != 3 )); then
+ exit $retCode
+fi